package com.pcloud.book.copyright.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author lily
 * @date 2018/12/5 14:24
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CheckIsAuthServeParam implements Serializable {

    @ApiModelProperty("二维码标识")
    private Long sceneId;

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("编辑标识")
    private Long adviserId;

    @ApiModelProperty("服务标识")
    private Long serveId;

    @ApiModelProperty("服务标识")
    private String serveType;

    @ApiModelProperty("运营标识")
    private Long channelId;

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public String getServeType() {
        return serveType;
    }

    public void setServeType(String serveType) {
        this.serveType = serveType;
    }

    @Override
    public String toString() {
        return "CheckIsAuthServeParam{" +
                "sceneId=" + sceneId +
                ", bookId=" + bookId +
                ", adviserId=" + adviserId +
                ", serveId=" + serveId +
                ", serveType='" + serveType + '\'' +
                '}';
    }
}
